# Push provisioning for Google Pay

Returns encrypted cardholder information and other metadata needed for Google Pay push provisioning.
This API is not available for sandbox testing.

Endpoint: POST /twcard-data/v1/push-provisioning/encrypted-payload/google-pay
Security: UserToken

## Security:

  - `UserToken` (unknown)
    http bearer JWT

## Header parameters:

  - `x-tw-twcard-card-token` (string, required)
    The card token identifying which card to retrieve push provisioning data for.

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `clientDeviceId` (string, required)
    Stable device identification set by Wallet Provider. Could be computer identifier or ID tied to hardware such as TEE_ID or SE_ID. This field must match the `clientDeviceId` wallet provider will send in token provision request.
    Example: ed6abb56323ba656521ac476

  - `clientWalletAccountId` (string, required)
    Client-provided consumer ID that identifies the Wallet Account Holder entity.
    Example: walletid

## Response 200:

  - `200` (unknown)
    Encrypted cardholder information for Google Pay.

## Response 200 fields (application/json):

  - `opaquePaymentCard` (string)
    Encrypted authentication and activation data following card scheme and wallet provider specifications. The response is encoded in Base64.
    Example: eyJraWQiOiIwQk...

  - `cardNetwork` (string)
    Card network.
    Enum: "CARD_NETWORK_VISA", "CARD_NETWORK_MASTERCARD"

  - `tokenServiceProvider` (string)
    Token service provider.
    Enum: "TOKEN_PROVIDER_VISA", "TOKEN_PROVIDER_MASTERCARD"

  - `cardDisplayName` (string)
    Default card name that will be displayed in wallet.
    Example: Wise Card

  - `cardLastDigits` (string)
    Last 4 digits of the card PAN.
    Example: 1234

  - `userAddress` (object)
    Entire address and phone number associated with the card.

  - `userAddress.addressLine1` (string)
    First line of the address.
    Example: 56 Shoreditch High St

  - `userAddress.addressLine2` (string)
    Second line of the address.
    Example: The Tea Bldg

  - `userAddress.countryCode` (string)
    Country code.
    Example: GB

  - `userAddress.locality` (string)
    City or locality.
    Example: London

  - `userAddress.administrativeArea` (string)
    State or administrative area.

  - `userAddress.name` (string)
    Cardholder name.
    Example: John Smith

  - `userAddress.phoneNumber` (string)
    Phone number associated with the card.
    Example: +441234567890

  - `userAddress.postalCode` (string)
    Postal code.
    Example: E1 6JJ

## Response 200 headers (application/json):

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 429:

  - `429` (unknown)
    Rate limit exceeded. Retry after the number of seconds specified in the `Retry-After` header.

## Response 429 headers (application/json):

  - `Retry-After` (integer)
    Number of seconds to wait before retrying the request.
    Example: 5

  - `X-Rate-Limited-By` (string)
    Identifies the rate limiter that triggered the 429 response.
    Example: wise-public-api

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

